%global framework grantleetheme

Name:           kf5-%{framework}
Version:        23.08.5
Release:        1
Summary:        KDE PIM library for Grantlee template system
License:        LGPLv2+
URL:            http://invent.kde.org/pim/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5

Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires:  extra-cmake-modules >= 5.32.0
BuildRequires:  kf5-rpm-macros
BuildRequires:  qt5-qtbase-devel
BuildRequires:  grantlee-qt5-devel >= 5.1.0-2
%{?grantlee5_requires}

BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5NewStuff)

Conflicts:      kdepim-libs < 7:16.04.0
Obsoletes:      kdepim-libs < 7:16.04.0

Conflicts: kde-l10n < 17.03

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd
%make_build  -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}

%find_lang %{name} --all-name --with-html

%ldconfig_scriptlets

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5GrantleeTheme.so.*
%{grantlee5_plugindir}/kde_grantlee_plugin.so

%files devel
%{_includedir}/KPim5/GrantleeTheme/
%{_kf5_libdir}/libKPim5GrantleeTheme.so
%{_kf5_libdir}/cmake/KPim5GrantleeTheme/
%{_kf5_archdatadir}/mkspecs/modules/qt_GrantleeTheme.pri


%changelog
* Mon Mar 18 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Mon Jan 08 2024 houhongxun <houhongxun@kylinos.cn> - 23.08.4-1
- update to version 23.08.4

* Fri Aug 04 2023 yajun<yajun@kylinos.cn> - 23.04.3-1
- update to upstream version 23.04.3

* Fri Feb 17 2023 peijiankang <peijiankang@kylinos.cn> - 22.12.0-1
- update verison to 22.12.0

* Thu Jul 28 2022 misaka00251 <misaka00251@misakanet.cn> - 22.08.0-1
- Init package
